DCMTK - Feature #451

Use #define WIN32_LEAN_AND_MEAN when including <windows.h>
2012-09-21 09:13 - J6rg Riesmeier

Status: Closed Start date: 2012-09-21
Priority: Normal Due date:

Assignee: Jan Schlamelcher % Done: 100%
Category: Library Estimated time: 0:00 hour
Target version: 3.6.2

Module: all Compiler:

Operating System:

Description

While fixing some typos in the new header file "ofnetdb.h", | discovered that "windows.h" is included in this header file. In order to
increase the performance of the compilation process, it should be checked whether compilation still works when defining
WIN32_LEAN_AND_MEAN (directly in front of this include statement).

This also applies to all other files in the DCMTK (public and private part) where "windows.h" is included in this manner. This is
especially true for header files!

History

#1 - 2012-11-21 13:55 - Jan Schlamelcher
- % Done changed from 0 to 100

Fixed in 02c64634b7bd466f2b1bba48c48738699f294443

#2 - 2012-11-22 09:49 - J6rg Riesmeier
- Status changed from New to Resolved

- % Done changed from 100 to 80

Other modules are still waiting to be changed ...

#3 - 2017-03-17 16:03 - Jan Schlamelcher

- Status changed from Resolved to Closed

Closed in commit #9f9d70dc5c93.

#4 - 2017-03-22 10:55 - Jorg Riesmeier
- % Done changed from 80 to 100

#5 - 2017-03-23 10:02 - Jan Schlamelcher
Was closed in commits #9f9d70dc5¢93 and #d84184e83111ed (the latter not mentioning it though).

#6 - 2017-03-26 21:19 - Jorg Riesmeier
- Status changed from Closed to Reopened

- % Done changed from 100 to 80

Recent commits (e.g. bfe495a, 16b0782 and 3332ea4) again include "windows.h" without defining WIN32_LEAN_AND_MEAN even though it would
be possible (tested at some places). There is also an include in a header file! This should be changed.

#7 - 2017-03-30 12:39 - Jan Schlamelcher
- Status changed from Reopened to Closed

- % Done changed from 80 to 100

Closed by commit #55fb9b8cefdc2820b.
